#!/usr/bin/env node

console.log('Initializing a Getting Started project');

const fs = require('fs');
const path = require('path');

const appFileName = 'app';
const homeControllerFileName = 'homeController';
const tsConfigFileName = 'tsconfig.json';

const controllersPath = path.resolve(process.cwd(), 'controllers');

if (!fs.existsSync(controllersPath)) {

    fs.mkdirSync(controllersPath);

    fs.copyFileSync(path.resolve(__dirname, homeControllerFileName), path.resolve(controllersPath, `${homeControllerFileName}.ts`));

    fs.copyFileSync(path.resolve(__dirname, appFileName), path.resolve(process.cwd(), `${appFileName}.ts`));

    fs.copyFileSync(path.resolve(__dirname, tsConfigFileName), path.resolve(process.cwd(), tsConfigFileName));
}

